/* $Id: Visitor.java 281 2011-07-29 07:21:02Z minao $ */
package smart_gs.logical.visitor;

import reasoning_web.logical.Connection;
import reasoning_web.logical.ExplanatoryNote;
import smart_gs.logical.AnchorTextSegment;
import smart_gs.logical.ResourceBasket;
import smart_gs.logical.UsersNote;
import smart_gs.logical.Region;
import smart_gs.logical.Spread;
import smart_gs.logical.SpreadDirectory;
import smart_gs.logical.IDAT;
import smart_gs.logical.StandardTextDocument;
import smart_gs.logical.TextSegment;
import smart_gs.logical.UsersNoteDirectory;
import smart_gs.logical.Zombie;
import smart_gs.reasoning_web.logical.GSExplanatoryNote;

public interface Visitor {
	
	public void visit(Spread spread);
	public void visit(Region region);
	public void visit(IDAT iDAT);
	public void visit(TextSegment segment);
	public void visit(SpreadDirectory spreadDirectory);
	public void visit(StandardTextDocument textDocument);
	public void visit(GSExplanatoryNote note);
	public void visit(UsersNote usersNote);
	public void visit(UsersNoteDirectory usersNoteDirectory);
	public void visit(Zombie zombie);
	public void visit(ResourceBasket resourceBasket);
}
